Bug 144472 - nash: mknod crash on missing arguments
nash: mknod crash on missing arguments
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-07 08:50 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-21 15:06:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix getArg (398 bytes, patch)
2005-01-07 08:53 EST, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2005-01-07 08:50:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
If the internal mknod in nash is used without the required four
arguments it crash on a NULL pointer dereference.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. nash
2. mknod

Actual Results:
Segmentation fault (core dumped)

Expected Results:
mknod: usage mknod <path> [c|b] <major> <minor>

Additional info:
Comment 1 Kasper Dupont 2005-01-07 08:53:06 EST
Created attachment 109464 [details]
Fix getArg

This patch improves getArg to handle cmd==NULL in the way mknodCommand expects.
Comment 2 Peter Jones 2005-01-21 15:06:21 EST
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.